﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT1')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT1 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT1] DEFAULT ((0)) FOR [TTOT1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT2')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT2 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT2] DEFAULT ((0)) FOR [TTOT2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT3')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT3 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT3] DEFAULT ((0)) FOR [TTOT3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT4')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT4 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT4] DEFAULT ((0)) FOR [TTOT4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT5')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT5 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT5] DEFAULT ((0)) FOR [TTOT5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT6')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT6 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT6] DEFAULT ((0)) FOR [TTOT6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT7')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT7 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT7] DEFAULT ((0)) FOR [TTOT7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT8')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT8 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT8] DEFAULT ((0)) FOR [TTOT8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT9')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT9 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT9] DEFAULT ((0)) FOR [TTOT9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTOT10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTOT10')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTOT10 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTOT10] DEFAULT ((0)) FOR [TTOT10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC1')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC1 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC1] DEFAULT ((0)) FOR [TTCC1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC2')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC2 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC2] DEFAULT ((0)) FOR [TTCC2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC3')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC3 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC3] DEFAULT ((0)) FOR [TTCC3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC4')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC4 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC4] DEFAULT ((0)) FOR [TTCC4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC5')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC5 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC5] DEFAULT ((0)) FOR [TTCC5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC6')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC6 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC6] DEFAULT ((0)) FOR [TTCC6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC7')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC7 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC7] DEFAULT ((0)) FOR [TTCC7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC8')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC8 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC8] DEFAULT ((0)) FOR [TTCC8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC9')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC9 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC9] DEFAULT ((0)) FOR [TTCC9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TTCC10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TTCC10')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TTCC10 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TTCC10] DEFAULT ((0)) FOR [TTCC10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'PCAA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_PCAA')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_PCAA on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_PCAA] DEFAULT ((0)) FOR [PCAA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'PSEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_PSEL')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_PSEL on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_PSEL] DEFAULT ((0)) FOR [PSEL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'BLKU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_BLKU')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_BLKU on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_BLKU] DEFAULT ((0)) FOR [BLKU]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'VATI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_VATI')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_VATI on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_VATI] DEFAULT ((0)) FOR [VATI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR1')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR1 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR1] DEFAULT ((0)) FOR [TODR1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR2')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR2 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR2] DEFAULT ((0)) FOR [TODR2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR3')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR3 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR3] DEFAULT ((0)) FOR [TODR3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR4')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR4 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR4] DEFAULT ((0)) FOR [TODR4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR5')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR5 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR5] DEFAULT ((0)) FOR [TODR5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR6')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR6 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR6] DEFAULT ((0)) FOR [TODR6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR7')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR7 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR7] DEFAULT ((0)) FOR [TODR7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR8')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR8 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR8] DEFAULT ((0)) FOR [TODR8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR9')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR9 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR9] DEFAULT ((0)) FOR [TODR9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR10')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR10 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR10] DEFAULT ((0)) FOR [TODR10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR11')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR11 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR11] DEFAULT ((0)) FOR [TODR11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR12')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR12 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR12] DEFAULT ((0)) FOR [TODR12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR13')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR13 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR13] DEFAULT ((0)) FOR [TODR13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR14')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR14 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR14] DEFAULT ((0)) FOR [TODR14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR15')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR15 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR15] DEFAULT ((0)) FOR [TODR15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR16')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR16 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR16] DEFAULT ((0)) FOR [TODR16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR17')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR17 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR17] DEFAULT ((0)) FOR [TODR17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR18')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR18 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR18] DEFAULT ((0)) FOR [TODR18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR19')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR19 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR19] DEFAULT ((0)) FOR [TODR19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TODR20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TODR20')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TODR20 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TODR20] DEFAULT ((0)) FOR [TODR20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA1')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA1 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA1] DEFAULT ((0)) FOR [TADA1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA2')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA2 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA2] DEFAULT ((0)) FOR [TADA2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA3')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA3 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA3] DEFAULT ((0)) FOR [TADA3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA4')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA4 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA4] DEFAULT ((0)) FOR [TADA4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA5')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA5 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA5] DEFAULT ((0)) FOR [TADA5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA6')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA6 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA6] DEFAULT ((0)) FOR [TADA6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA7')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA7 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA7] DEFAULT ((0)) FOR [TADA7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA8')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA8 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA8] DEFAULT ((0)) FOR [TADA8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA9')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA9 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA9] DEFAULT ((0)) FOR [TADA9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA10')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA10 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA10] DEFAULT ((0)) FOR [TADA10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA11')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA11 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA11] DEFAULT ((0)) FOR [TADA11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA12')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA12 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA12] DEFAULT ((0)) FOR [TADA12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA13')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA13 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA13] DEFAULT ((0)) FOR [TADA13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA14')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA14 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA14] DEFAULT ((0)) FOR [TADA14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA15')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA15 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA15] DEFAULT ((0)) FOR [TADA15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA16')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA16 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA16] DEFAULT ((0)) FOR [TADA16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA17')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA17 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA17] DEFAULT ((0)) FOR [TADA17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA18')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA18 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA18] DEFAULT ((0)) FOR [TADA18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA19')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA19 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA19] DEFAULT ((0)) FOR [TADA19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADA20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADA20')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADA20 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADA20] DEFAULT ((0)) FOR [TADA20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'IEVT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_IEVT')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_IEVT on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_IEVT] DEFAULT ((0)) FOR [IEVT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'VATO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_VATO')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_VATO on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_VATO] DEFAULT ((0)) FOR [VATO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'VATL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_VATL')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_VATL on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_VATL] DEFAULT ((0)) FOR [VATL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP1')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP1 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP1] DEFAULT ((0)) FOR [TSUP1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP2')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP2 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP2] DEFAULT ((0)) FOR [TSUP2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP3')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP3 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP3] DEFAULT ((0)) FOR [TSUP3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP4')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP4 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP4] DEFAULT ((0)) FOR [TSUP4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP5')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP5 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP5] DEFAULT ((0)) FOR [TSUP5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP6')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP6 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP6] DEFAULT ((0)) FOR [TSUP6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP7')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP7 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP7] DEFAULT ((0)) FOR [TSUP7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP8')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP8 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP8] DEFAULT ((0)) FOR [TSUP8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP9')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP9 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP9] DEFAULT ((0)) FOR [TSUP9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP10')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP10 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP10] DEFAULT ((0)) FOR [TSUP10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP11')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP11 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP11] DEFAULT ((0)) FOR [TSUP11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP12')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP12 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP12] DEFAULT ((0)) FOR [TSUP12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP13')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP13 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP13] DEFAULT ((0)) FOR [TSUP13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP14')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP14 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP14] DEFAULT ((0)) FOR [TSUP14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP15')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP15 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP15] DEFAULT ((0)) FOR [TSUP15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP16')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP16 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP16] DEFAULT ((0)) FOR [TSUP16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP17')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP17 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP17] DEFAULT ((0)) FOR [TSUP17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP18')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP18 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP18] DEFAULT ((0)) FOR [TSUP18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP19')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP19 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP19] DEFAULT ((0)) FOR [TSUP19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TSUP20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TSUP20')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TSUP20 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TSUP20] DEFAULT ((0)) FOR [TSUP20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR1')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR1 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR1] DEFAULT ((0)) FOR [TADR1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR2')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR2 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR2] DEFAULT ((0)) FOR [TADR2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR3')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR3 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR3] DEFAULT ((0)) FOR [TADR3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR4')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR4 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR4] DEFAULT ((0)) FOR [TADR4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR5')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR5 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR5] DEFAULT ((0)) FOR [TADR5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR6')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR6 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR6] DEFAULT ((0)) FOR [TADR6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR7')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR7 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR7] DEFAULT ((0)) FOR [TADR7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR8')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR8 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR8] DEFAULT ((0)) FOR [TADR8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR9')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR9 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR9] DEFAULT ((0)) FOR [TADR9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR10')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR10 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR10] DEFAULT ((0)) FOR [TADR10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR11')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR11 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR11] DEFAULT ((0)) FOR [TADR11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR12')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR12 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR12] DEFAULT ((0)) FOR [TADR12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR13')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR13 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR13] DEFAULT ((0)) FOR [TADR13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR14')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR14 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR14] DEFAULT ((0)) FOR [TADR14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR15')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR15 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR15] DEFAULT ((0)) FOR [TADR15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR16')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR16 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR16] DEFAULT ((0)) FOR [TADR16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR17')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR17 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR17] DEFAULT ((0)) FOR [TADR17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR18')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR18 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR18] DEFAULT ((0)) FOR [TADR18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR19')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR19 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR19] DEFAULT ((0)) FOR [TADR19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'TADR20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_TADR20')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_TADR20 on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_TADR20] DEFAULT ((0)) FOR [TADR20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RETOPT' AND COLUMN_NAME = 'PCAU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RETOPT_PCAU')
BEGIN 
    PRINT 'Creating default constraint DF_RETOPT_PCAU on table RETOPT' 
    ALTER TABLE [dbo].[RETOPT]
    ADD CONSTRAINT [DF_RETOPT_PCAU] DEFAULT ((0)) FOR [PCAU]
END 
GO

